<?php

namespace Artmark\Forms;

use Artmark\Forms\Attributes\IdAttribute;

/**
 * Description of AbstractHtml
 *
 * @author Andrey Pokidov <pokidov@e-traffic.ru>
 */
abstract class AbstractHtml implements Html
{
    use IdAttribute;
    
    public function getAssociativeAttributes()
    {
        $attributes = [];
        
        $this->appendIdAttribute($attributes);
        
        return $attributes;
    }
}
