<?php

namespace Artmark\Forms;

use Artmark\Forms\Attributes\VisibleAttributes;

/**
 * Description of AbstractVisibleHtml
 *
 * @author Andrey Pokidov <pokidov@e-traffic.ru>
 */
abstract class AbstractVisibleHtml extends AbstractHtml
{
    use VisibleAttributes;
    
    public function getAssociativeAttributes()
    {
        $attributes = parent::getAssociativeAttributes();
        
        $this->appendVisibleAttributes($attributes);
        
        return $attributes;
    }
}
