<?php

namespace Artmark\Forms\Attributes;

/**
 * Description of VisibleAttributes
 *
 * @author Andrey Pokidov <pokidov@e-traffic.ru>
 */
trait VisibleAttributes
{
    use DirectionAttribute, LanguageAttribute, StyleAttribute, CssClassAttribute;
    
    protected function appendVisibleAttributes(array & $attributes)
    {
        $this->appendDirectionAttribute($attributes);
        $this->appendLanguageAttribute($attributes);
        $this->appendCssClassAttribute($attributes);
        $this->appendStyleAttribute($attributes);
    }
}
