<?php

namespace Artmark\Forms\Fields;

use Artmark\Forms\AbstractTextField;

/**
 * Description of PasswordField
 *
 * @author Andrey Pokidov <pokidov@e-traffic.ru>
 */
class PasswordField extends AbstractTextField
{
    public function __construct($form, $name)
    {
        parent::__construct($form, 'password', $name, '');
    }
    
    public function setValue($newValue)
    {
        //No value need to be written
        return $this;
    }
}
